////////////////////////////////////////////////////////////////////////////
// #02012606
//
// Copyright (C) 2002 Albert Vik
//
// E-mail: AlbertVik@operamail.com
//
// This source code is part of FLAC project. This source code is distributed 
// under the same policy as the FLAC project constitute except one addition:
// any modifications of this file and the source code in this file for 
// purposes other than for private use should be sanctioned by the author.
//
// The latest release of this source code is available on the  
// FLAC project home page: http://flac.sourceforge.net or
// directly from the author: AlbertVik@operamail.com
// 
////////////////////////////////////////////////////////////////////////////

#ifndef __HELPERS_WIN32_H__
#define __HELPERS_WIN32_H__

#include "FLAC_Apollo.h"

////////////////////////////////////////////////////////////////////////////
//
// Global Win32 Helpers
//
////////////////////////////////////////////////////////////////////////////

int  DlgMessageBox( HINSTANCE hInstance, UINT nIDDlgItem );
int  DlgMessageBox( HINSTANCE hInstance, UINT nIDDlgItem, UINT nIDString );

BOOL CALLBACK DlgMessageBoxDialogProc( HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam );

int  LoadText( HINSTANCE hInstance, UINT uID, LPTSTR lpBuffer, int nBufferMax );

BOOL DlgPrintS( HWND hwndDlg, UINT nIDDlgItem, UINT nIDString );
BOOL DlgPrintF( HWND hwndDlg, UINT nIDDlgItem, const char *format, ... );

BOOL PumpMessages( void );

#endif  //__HELPERS_WIN32_H__
