////////////////////////////////////////////////////////////////////////////
// #02012605
//
// Copyright (C) 2002 Albert Vik
//
// E-mail: AlbertVik@operamail.com
//
// This source code is part of FLAC project. This source code is distributed 
// under the same policy as the FLAC project constitute except one addition:
// any modifications of this file and the source code in this file for 
// purposes other than for private use should be sanctioned by the author.
//
// The latest release of this source code is available on the  
// FLAC project home page: http://flac.sourceforge.net or
// directly from the author: AlbertVik@operamail.com
// 
////////////////////////////////////////////////////////////////////////////

#ifndef __CFLACINFOGUI_H__
#define __CFLACINFOGUI_H__

#include "FLAC_Apollo.h"

////////////////////////////////////////////////////////////////////////////
//
// lass CFLACInfoGUI - FLAC Info GUI Dialogs
//
////////////////////////////////////////////////////////////////////////////

class CFLACInfoGUI : public CFLACInfo
{

public:

    CFLACInfoGUI() : CFLACInfo() {};
    CFLACInfoGUI(char *filename) : CFLACInfo(filename) {};

    BOOL TestAudioData( HWND hwndDlg, BOOL *abort );

    int  AdditionalInfoDialog( HINSTANCE hInstance, UINT nIDDialog );

private:

    enum { AUDIODATA_OK, AUDIODATA_ERROR };

    BOOL AdditionalInfoDialogProc( HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam );
    BOOL TestAudiodataDialogProc ( HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam );
 
    // Cost of using Win32 API:
    friend BOOL CALLBACK AdditionalInfoDialogProc( HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam );
    friend BOOL CALLBACK TestAudiodataDialogProc ( HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam );

};


#endif  //__CFLACINFOGUI_H__
